export default {
    props: {
		// 水印模式， 可选值 text， image
		mode: {
			type: String,
			default: "text"
		},
		// 水印文字
		text: {
			type: String,
			default: "页面加水印"
		},
		// 水印图片地址
		imageUrl: {
			type: String,
			default: ""
		},
		// 文字字体
		textFont:{
			type: String,
			default: "italic 16px serif"
		},
		// 文字颜色
		textColor: {
			type: String,
			default: "#dddddd"
		},
		// 水印的背景颜色
		bgColor: {
			type: String,
			default: "#ffffff"
		},
		// 文字旋转角度
		rotate: {
			type: Number,
			default: -45
		},
		// 文字x轴偏移量
		offWidth: {
			type: Number,
			default: 0
		},
		// 文字y轴偏移量
		offHeight: {
			type: Number,
			default: 0
		}
	}
}

